Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039712
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementmajorsometimes2018-11-28 16:102018-12-27 21:34
ReporterJONHMView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityhighResolutionfixedFixed in Version3.0PR19Q1
StatusclosedFix in branchFixed in SCM revisione7d94cdd2474
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039712: Performance issue in Sales Dimensional Report

DescriptionThere is a performance issue in sales dimensional report when executing on an environment with high loads of data. It creates high memory usage and slowness.
Steps To ReproduceRun [Sales Dimensional Report] on an environment with high loads of data.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00136572.50MP20 closedadrianromero The sales invoice Dimensional Report does not work with a big amount of data using partner dimension 

-  Notes
(0108749)
Sandrahuguet (developer)
2018-12-26 16:06

Implemented properly the "reportlimit" functionality.
At least the report will be loaded in half time as before.
(0108750)
hgbot (developer)
2018-12-26 16:06

Repository: erp/devel/pi
Changeset: e7d94cdd24743f7b5854c7a5ab333913f81a68fb
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Dec 12 11:55:22 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/e7d94cdd24743f7b5854c7a5ab333913f81a68fb [^]

Fixes Issue 39712:Performance issue in Sales Dimensional Report

For avoiding system crash, data is fetched with limit of preference
ReportLimit. If data count is more than ReportLimit, warning message
is shown to use apply more selective filters.

---
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJR_data.xsql
---
(0108751)
Sandrahuguet (developer)
2018-12-26 16:07

Code review + testing OK
(0108770)
hudsonbot (developer)
2018-12-27 21:34

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/45fbe14cead8 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-11-28 16:10 JONHM New Issue
2018-11-28 16:10 JONHM Assigned To => Triage Finance
2018-11-28 16:10 JONHM Modules => Core
2018-11-28 16:10 JONHM Triggers an Emergency Pack => No
2018-11-28 16:31 JONHM Description Updated View Revisions
2018-11-28 16:31 JONHM Steps to Reproduce Updated View Revisions
2018-11-28 16:53 martinsdan Issue Monitored: martinsdan
2018-11-28 16:57 Sandrahuguet Assigned To Triage Finance => AtulOpenbravo
2018-11-30 08:28 AtulOpenbravo Status new => scheduled
2018-12-26 16:03 Sandrahuguet Relationship added related to 0013657
2018-12-26 16:06 Sandrahuguet Note Added: 0108749
2018-12-26 16:06 hgbot Checkin
2018-12-26 16:06 hgbot Note Added: 0108750
2018-12-26 16:06 hgbot Status scheduled => resolved
2018-12-26 16:06 hgbot Resolution open => fixed
2018-12-26 16:06 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e7d94cdd24743f7b5854c7a5ab333913f81a68fb [^]
2018-12-26 16:07 Sandrahuguet Review Assigned To => Sandrahuguet
2018-12-26 16:07 Sandrahuguet Note Added: 0108751
2018-12-26 16:07 Sandrahuguet Status resolved => closed
2018-12-26 16:07 Sandrahuguet Fixed in Version => 3.0PR19Q1
2018-12-27 21:34 hudsonbot Checkin
2018-12-27 21:34 hudsonbot Note Added: 0108770


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker